## org.hibernate.metamodel
Enum MetadataSourceProcessingOrder

    java.lang.Object
      java.lang.Enum<MetadataSourceProcessingOrder>
          org.hibernate.metamodel.MetadataSourceProcessingOrder

All Implemented Interfaces:
  Serializable, Comparable<MetadataSourceProcessingOrder>

    public enum MetadataSourceProcessingOrder

extends Enum<MetadataSourceProcessingOrder>

Enumeration of the possible orders for processing metadata sources. The implication is in terms of precedence; for duplicate information in different sources, whichever is processed first has precedence.

Enum Constant Summary
`ANNOTATIONS_FIRST`
`HBM_FIRST`

Method Summary
`static MetadataSourceProcessingOrder` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetadataSourceProcessingOrder[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ANNOTATIONS_FIRST

    public static final MetadataSourceProcessingOrder ANNOTATIONS_FIRST

### HBM_FIRST

    public static final MetadataSourceProcessingOrder HBM_FIRST

Method Detail

### values

    public static MetadataSourceProcessingOrder[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MetadataSourceProcessingOrder c : MetadataSourceProcessingOrder.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MetadataSourceProcessingOrder valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.